package com.template.model.enumModel;

/**
 * @Author: xwt
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 设备类型
 */
public enum eSchoolType {
    HJH(1),//黄家湖
    MXH(2);//墨轩湖

    private int value;

    eSchoolType(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eSchoolType valueOf(int value) {
        switch (value) {
            case 1:
                return eSchoolType.HJH;
            case 2:
                return eSchoolType.MXH;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "黄家湖校区";
            case 2:
                return "墨轩湖校区";
            default:
                return null;
        }
    }

}
